Debian Bug report logs - #422609
don't mess with other packages namespaces

version graph

Package: swish-e; Maintainer for swish-e is Ludovic Drolez <ldrolez@debian.org>; Source for swish-e is src:swish-e.

Reported by: Michael Ablassmeier <abi@grinser.de>

Date: Mon, 7 May 2007 11:03:01 UTC

Severity: important

Merged with 451447

Found in version 1.1-1

Fixed in version swish-e/2.4.7-3

Done: Ludovic Drolez <ldrolez@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <rafl@debianforum.de>:
Bug#422609; Package libperldoc-search-perl. Full text and rfc822 format available.

Acknowledgement sent to Michael Ablassmeier <abi@grinser.de>:
New Bug report received and forwarded. Copy sent to Florian Ragwitz <rafl@debianforum.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Ablassmeier <abi@grinser.de>
To: submit@bugs.debian.org
Subject: FTBFS: Undefined subroutine &SWISH::API::Common::VERSION called at /usr/share/perl/5.8/ExtUtils/MakeMaker.pm line 394.
Date: Mon, 7 May 2007 12:57:14 +0200
Package: libperldoc-search-perl
Version: 0.01-1
Severity: serious
Justification: policy violation

hi, 

Lucas has rebuild the archive on i386 and your package Failed to Build
from Source with the following error:

 Checking if your kit is complete...
 Looks good
 Undefined subroutine &SWISH::API::Common::VERSION called at /usr/share/perl/5.8/ExtUtils/MakeMaker.pm line 394.
 make: *** [build-stamp] Error 9

the full log can be found here:

http://people.debian.org/~lucas/logs/2007/05/rebuild.sid.i386/libperldoc-search-perl_0.01-1_sid32.buildlog

bye,
    - michael




Information forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <rafl@debianforum.de>:
Bug#422609; Package libperldoc-search-perl. Full text and rfc822 format available.

Acknowledgement sent to Florian Ragwitz <rafl@debian.org>:
Extra info received and forwarded to list. Copy sent to Florian Ragwitz <rafl@debianforum.de>. Full text and rfc822 format available.

Message #10 received at 422609@bugs.debian.org (full text, mbox):

From: Florian Ragwitz <rafl@debian.org>
To: 422609@bugs.debian.org, 422609-submitter@bugs.debian.org
Cc: control@bugs.debian.org
Subject: don't mess with other packages namespaces
Date: Thu, 21 Jun 2007 18:08:52 +0200
[Message part 1 (text/plain, inline)]
reassign 422609 swish-e
retitle 422609 don't mess with other packages namespaces
thanks

At some point the swish-e perl bindings, SWISH::API, seemed to introduce
a change which messes things up within all modules within the
SWISH::API:: namespace. This change causes libswish-api-common-perl to
FTBFS.

SWISH/API.pm has the following line:

CL: for my $class ( grep { m/::$/ } keys %SWISH::API:: ) {

This walks the symbol table and extracts all modules under the
SWISH::API namespace to register some new methods inside those
namespaces.

This might break other modules which are not part of the swish-e perl
bindings but live inside the same namespace.

To avoid that you shouldn't be walking the symbol table but instead
hard-code a list of modules you want to create the method aliases for.

For now that'd be:

(
  "MetaName::",
  "Search::",
  "PropertyName::",
  "Results::",
  "FuzzyWord::",
  "Result::",
)


TIA,
Flo

-- 
BOFH excuse #407:
Route flapping at the NAP.
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `libperldoc-search-perl' to `swish-e'. Request was from Florian Ragwitz <rafl@debian.org> to control@bugs.debian.org. (Thu, 21 Jun 2007 16:18:08 GMT) Full text and rfc822 format available.

Changed Bug title to `don't mess with other packages namespaces' from `FTBFS: Undefined subroutine &SWISH::API::Common::VERSION called at /usr/share/perl/5.8/ExtUtils/MakeMaker.pm line 394.'. Request was from Florian Ragwitz <rafl@debian.org> to control@bugs.debian.org. (Thu, 21 Jun 2007 16:18:09 GMT) Full text and rfc822 format available.

Message sent on to Michael Ablassmeier <abi@grinser.de>:
Bug#422609. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#422609; Package swish-e. Full text and rfc822 format available.

Acknowledgement sent to Ludovic Drolez <ldrolez@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #22 received at 422609@bugs.debian.org (full text, mbox):

From: Ludovic Drolez <ldrolez@debian.org>
To: 422609@bugs.debian.org, 422609-submitter@bugs.debian.org
Subject: Reassign to libswish-api-common-perl
Date: Fri, 22 Jun 2007 23:02:21 +0200
Hi !

Sorry, but it seems that libswish-api-common-perl need to be fixed. Nothing
can be done in swish-e.

Cheers,

-- 
Ludovic Drolez.

http://zaurus.palmopensource.com    - The Zaurus Open Source Portal
http://www.drolez.com      - Personal site - Linux and PalmOS stuff



Bug reassigned from package `swish-e' to `libswish-api-common-perl'. Request was from Ludovic <ldrolez@debian.org> to control@bugs.debian.org. (Fri, 22 Jun 2007 21:09:02 GMT) Full text and rfc822 format available.

Message sent on to Michael Ablassmeier <abi@grinser.de>:
Bug#422609. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <rafl@debianforum.de>:
Bug#422609; Package libswish-api-common-perl. Full text and rfc822 format available.

Acknowledgement sent to Florian Ragwitz <rafl@debian.org>:
Extra info received and forwarded to list. Copy sent to Florian Ragwitz <rafl@debianforum.de>. Full text and rfc822 format available.

Message #32 received at 422609@bugs.debian.org (full text, mbox):

From: Florian Ragwitz <rafl@debian.org>
To: 422609@bugs.debian.org
Cc: swish-e@packages.debian.org
Subject: FTBFS: Undefined subroutine &SWISH::API::Common::VERSION
Date: Wed, 27 Jun 2007 14:38:32 +0200
[Message part 1 (text/plain, inline)]
> Sorry, but it seems that libswish-api-common-perl need to be fixed.
> Nothing can be done in swish-e.

I strongly disagree. As outlined in the previous mail, just injecting
your methods into your own namespaces would be good enough to fix this
issue.

In /usr/lib/perl5/SWISH/API.pm line 34 you could replace

  grep { m/::$/ } keys %SWISH::API::

by the list of packages like this:

  my @packages = qw/Foo::Bar Bar::Baz .../;
  CL: for my $class ( map { "${_}::" } @packages )


Although I'd like to reassign this bug back to swish-e again I'm not
doing so for now until some consensus is reached.


-Flo

-- 
BOFH excuse #311:
transient bus protocol violation
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <rafl@debianforum.de>:
Bug#422609; Package libswish-api-common-perl. Full text and rfc822 format available.

Acknowledgement sent to Ludovic Drolez <ldrolez@debian.org>:
Extra info received and forwarded to list. Copy sent to Florian Ragwitz <rafl@debianforum.de>. Full text and rfc822 format available.

Message #37 received at 422609@bugs.debian.org (full text, mbox):

From: Ludovic Drolez <ldrolez@debian.org>
To: Florian Ragwitz <rafl@debian.org>
Cc: moseley@hank.org, 422609@bugs.debian.org
Subject: Re: FTBFS: Undefined subroutine &SWISH::API::Common::VERSION
Date: Sat, 30 Jun 2007 23:55:12 +0200
> Although I'd like to reassign this bug back to swish-e again I'm not
> doing so for now until some consensus is reached.

The best would be to send a mail to the upstream swish-e dev, because I
would not like to break other software based on the official usptream
swish-e perl api...

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=422609

Cheers,

-- 
Ludovic Drolez.

http://zaurus.palmopensource.com    - The Zaurus Open Source Portal
http://www.drolez.com      - Personal site - Linux and PalmOS stuff



Tags added: lenny, sid Request was from kurt@roeckx.be (Kurt Roeckx) to control@bugs.debian.org. (Sat, 21 Jul 2007 12:48:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <rafl@debianforum.de>:
Bug#422609; Package libswish-api-common-perl. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to Florian Ragwitz <rafl@debianforum.de>. Full text and rfc822 format available.

Message #44 received at 422609@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: control@bugs.debian.org
Cc: 422609@bugs.debian.org, 451447@bugs.debian.org
Subject: forcibly merging 422609 451447
Date: Tue, 08 Jul 2008 22:47:51 +0200
# Automatically generated email from bts, devscripts version 2.10.33
# same bug
forcemerge 422609 451447





Information forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <rafl@debianforum.de>:
Bug#422609; Package libswish-api-common-perl. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to Florian Ragwitz <rafl@debianforum.de>. Full text and rfc822 format available.

Message #49 received at 422609@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: control@bugs.debian.org
Cc: 422609@bugs.debian.org, swish-e@packages.debian.org
Subject: reassign 422609 to swish-e, severity of 422609 is important
Date: Tue, 08 Jul 2008 23:13:04 +0200
# Automatically generated email from bts, devscripts version 2.10.33
reassign 422609 swish-e 
# there is now a workaround in place in libswish-api-common-perl but this should be fixed for real anyway
severity 422609 important





Bug reassigned from package `libswish-api-common-perl' to `swish-e'. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Tue, 08 Jul 2008 21:15:48 GMT) Full text and rfc822 format available.

Severity set to `important' from `serious' Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Tue, 08 Jul 2008 21:15:49 GMT) Full text and rfc822 format available.

Forcibly Merged 422609 451447. Request was from Frank Lichtenheld <frank@lichtenheld.de> to control@bugs.debian.org. (Tue, 08 Jul 2008 22:03:14 GMT) Full text and rfc822 format available.

Tags added: squeeze Request was from kurt@roeckx.be (Kurt Roeckx) to control@bugs.debian.org. (Sat, 21 Feb 2009 15:15:20 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:09 GMT) Full text and rfc822 format available.

Reply sent to Ludovic Drolez <ldrolez@debian.org>:
You have taken responsibility. (Mon, 12 Mar 2012 17:12:07 GMT) Full text and rfc822 format available.

Notification sent to Michael Ablassmeier <abi@grinser.de>:
Bug acknowledged by developer. (Mon, 12 Mar 2012 17:12:07 GMT) Full text and rfc822 format available.

Message #64 received at 422609-close@bugs.debian.org (full text, mbox):

From: Ludovic Drolez <ldrolez@debian.org>
To: 422609-close@bugs.debian.org
Subject: Bug#422609: fixed in swish-e 2.4.7-3
Date: Mon, 12 Mar 2012 17:08:38 +0000
Source: swish-e
Source-Version: 2.4.7-3

We believe that the bug you reported is fixed in the latest version of
swish-e, which is due to be installed in the Debian FTP archive:

swish-e-dev_2.4.7-3_i386.deb
  to main/s/swish-e/swish-e-dev_2.4.7-3_i386.deb
swish-e_2.4.7-3.diff.gz
  to main/s/swish-e/swish-e_2.4.7-3.diff.gz
swish-e_2.4.7-3.dsc
  to main/s/swish-e/swish-e_2.4.7-3.dsc
swish-e_2.4.7-3_i386.deb
  to main/s/swish-e/swish-e_2.4.7-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 422609@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ludovic Drolez <ldrolez@debian.org> (supplier of updated swish-e package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 12 Mar 2012 6:21:11 +0100
Source: swish-e
Binary: swish-e swish-e-dev
Architecture: source i386
Version: 2.4.7-3
Distribution: unstable
Urgency: low
Maintainer: Ludovic Drolez <ldrolez@debian.org>
Changed-By: Ludovic Drolez <ldrolez@debian.org>
Description: 
 swish-e    - Simple Web Indexing System for Humans - Enhanced
 swish-e-dev - Simple Web Indexing System for Humans - Enhanced
Closes: 422609 451447 617742
Changes: 
 swish-e (2.4.7-3) unstable; urgency=low
 .
   * Added pt_BR debconf translation. Closes: #617742
   * Try to fix the perl namespace problem. Closes: #422609, #451447
   * Remove dependency_libs in the .la file
Checksums-Sha1: 
 2c6bdbb09d5326b05e9e318e075f15cf1df842ee 1110 swish-e_2.4.7-3.dsc
 5b61194e6f880c6373d98def341295b3a86b821b 24535 swish-e_2.4.7-3.diff.gz
 1258bc0700f89f5fd87fdbdcc46ffefa3b7bdfdd 966278 swish-e_2.4.7-3_i386.deb
 7f9954af5fb26f0e2e8c44e1a37ede3fdf1e186c 156474 swish-e-dev_2.4.7-3_i386.deb
Checksums-Sha256: 
 56b8d2e3fdae12f5f3dffce23a501c81b6f39041babf2c31a2a993bc24f33106 1110 swish-e_2.4.7-3.dsc
 7816ac9d3bb8eeaeeea11f6ac7e30552ba54299f4a2bd7138c124cc026599448 24535 swish-e_2.4.7-3.diff.gz
 a9031771cf45fe21f12ca245bd69a05bbb18ef7dbb2088f8b463faca4b94bc27 966278 swish-e_2.4.7-3_i386.deb
 44dc355e7117d76b148572b5d9dd7b39d3631ffd4a91accb989e9f46089fe1f2 156474 swish-e-dev_2.4.7-3_i386.deb
Files: 
 26ba4c850c77296c1e7d2346da367e1b 1110 web optional swish-e_2.4.7-3.dsc
 d4e06247be43aa3d0083addd6485e8af 24535 web optional swish-e_2.4.7-3.diff.gz
 f494f12f2b671a83e8d504c48bea6855 966278 web optional swish-e_2.4.7-3_i386.deb
 66cc5401703034b295a71c333011ab0a 156474 web optional swish-e-dev_2.4.7-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk9eKogACgkQsRlQAP1GppjRiwCfceC1pYTdsIgIHyZ6H08/giiE
bBEAmwVqG4BP/FIqByJ5d82V6//ihSxm
=IWE9
-----END PGP SIGNATURE-----





Reply sent to Ludovic Drolez <ldrolez@debian.org>:
You have taken responsibility. (Mon, 12 Mar 2012 17:12:07 GMT) Full text and rfc822 format available.

Notification sent to Daniel Schepler <dschepler@gmail.com>:
Bug acknowledged by developer. (Mon, 12 Mar 2012 17:12:07 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:41:03 GMT) Full text and rfc822 format available.

Removed tag(s) sid, squeeze, wheezy, jessie, and lenny. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:26 GMT) Full text and rfc822 format available.

Marked as found in versions 1.1-1. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:39 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Nov 2013 07:30:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:53:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.